Update a showing
curl --request PATCH \
--url https://api.northreports.com/v1/showings/{showingId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"showing_date": "2023-11-07T05:31:56Z",
"scheduled_date": "2023-11-07T05:31:56Z",
"attendee_name": "<string>",
"attendee_email": "[email protected]",
"attendee_phone": "<string>",
"agent_name": "<string>",
"feedback": "<string>",
"rating": 3,
"interested": true,
"title": "<string>",
"attendees_count": 123,
"unique_showing_key": "<string>",
"showing_time_start": "2023-11-07T05:31:56Z",
"showing_time_end": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.northreports.com/v1/showings/{showingId}"
payload = {
"showing_date": "2023-11-07T05:31:56Z",
"scheduled_date": "2023-11-07T05:31:56Z",
"attendee_name": "<string>",
"attendee_email": "[email protected]",
"attendee_phone": "<string>",
"agent_name": "<string>",
"feedback": "<string>",
"rating": 3,
"interested": True,
"title": "<string>",
"attendees_count": 123,
"unique_showing_key": "<string>",
"showing_time_start": "2023-11-07T05:31:56Z",
"showing_time_end": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
showing_date: '2023-11-07T05:31:56Z',
scheduled_date: '2023-11-07T05:31:56Z',
attendee_name: '<string>',
attendee_email: '[email protected]',
attendee_phone: '<string>',
agent_name: '<string>',
feedback: '<string>',
rating: 3,
interested: true,
title: '<string>',
attendees_count: 123,
unique_showing_key: '<string>',
showing_time_start: '2023-11-07T05:31:56Z',
showing_time_end: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.northreports.com/v1/showings/{showingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"north_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"showing_date": "2023-11-07T05:31:56Z",
"feedback": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"error": {
"message": "Address is required",
"status": 400
}
}{
"error": {
"message": "Invalid API key",
"status": 401
}
}{
"error": {
"message": "Permission denied: reports:create",
"status": 403
}
}{
"error": {
"message": "Report not found",
"status": 404
}
}{
"error": {
"message": "Rate limit exceeded. Please try again later.",
"status": 429
}
}Showings
Update Showing
Updates an existing showing. Only provided fields will be updated. You can identify the showing by either UUID or unique_showing_key.
PATCH
/
v1
/
showings
/
{showingId}
Update a showing
Authorizations
API key authentication. Include your API key in the Authorization header:
Authorization: Bearer north_sk_live_xxxxxxxxxxxx
Path Parameters
The showing identifier. Can be either:
- A UUID (e.g.,
550e8400-e29b-41d4-a716-446655440000) - A unique showing key (e.g.,
ext_12345)
Body
application/json
Required range:
1 <= x <= 5Available options:
showing, open_house Unique identifier for the showing event from external systems. Used for deduplication and integration purposes.
Start time of the showing event. Used for API entries to specify exact start time.
End time of the showing event. Used for API entries to specify exact end time.
⌘I